Bug 442455 - rpm database problem
rpm database problem
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-14 16:57 EDT by Need Real Name
Modified: 2008-08-23 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-23 23:37:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 441136 None None None Never
Red Hat Bugzilla 441142 None None None Never

  None (edit)
Description Need Real Name 2008-04-14 16:57:45 EDT
I think I have stumbled over a problem with the rpm database.

$ rpm -q --whatprovides /path/to/binary

should return the package name that owns a given binary or file.

For two programs so far, after my f8->f9 upgrade, it hasn't.

These programs were bind-utils and liferea - not uncommon programs.
Comment 1 John Poelstra 2008-04-14 19:06:43 EDT
'bind-utils' is a package not a program so that won't work

rpm -q --whatprovides /usr/bin/liferea works fine for me

Panu, do you concur this is not a bug?



Comment 2 Need Real Name 2008-04-15 01:55:51 EDT
Both:
 rpm -q --whatprovides /usr/bin/dig
 rpm -q --whatprovides /usr/bin/liferea
told me that the binary was not owned by any package.

After re-installing the packages using yum, they are now owned by something.
Comment 3 Bug Zapper 2008-05-14 05:26:53 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Brennan Ashton 2008-06-07 22:20:03 EDT
Could you please reply to the previous question? If you won't reply in one
month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.
Comment 5 Need Real Name 2008-06-08 05:38:56 EDT
There's no more data to provide, and I can't change this to
RH_WERENT_QUICK_ENOUGH_TO_RESPOND_WHILE_I_WAS_EXPERIENCING_THE_BUG

Note You need to log in before you can comment on or make changes to this bug.